<%= render 'share/option_status' %>
<div class="container-body col-lg-10 col-lg-offset-1">
  	<div class="title-page col-lg-12">
  		<div class="row col-lg-6 col-sm-6">
  			<p> Edit Album</p>
  		</div>
    	<div class="col-lg-offset-11 col-sm-offset-10">
    		<%= link_to '<button class="btn btn-lg btn-primary white-btn">Back</button>'.html_safe, user_path(id: current_user.id) %>
    	</div>
  	</div>
	<div class="row">
	    <div class="col-lg-12 col-sm-12">  
	    	<%= form_for(@album, url: album_path(@album), html: { method: :put }) do |f| %>
	      		<div class="row album_wall">
			        <% if notice && notice != "Signed in successfully." && notice !="Your account has been updated successfully." %><div class="alert alert-info"><%= notice %></div><% end %>
			        <% if alert %><div class="alert alert-danger"><%= alert %></div><% end %>
			        <div class="row col-lg-12">
			          	<div class="col-lg-6">
				            <div class="form-group">
				              	<%= f.label :title %>
				              	<%= f.text_field :title, autofocus: true, class: 'form-control', require: true %>
				            </div>
				        </div>
				        <div class="col-lg-6">
				            <div class="form-group">
				             	<%= f.label :description %>
				             	<%= f.text_field :description, class: 'form-control', require: true %>
				            </div>
				        </div>
			        </div>
			        <div class="row col-lg-12">
				          <div class="form-group col-lg-6 ">
				            <%= f.label "Sharing mode" %>
				            <% if @album.private == true%>
								<%= f.select(:private, options_for_select([['Private', true], ['Public', false]] ), {}, {:class => 'form-control'})  %>
				            <% else %>
								<%= f.select(:private, options_for_select([['Public', false], ['Private', true]] ), {}, {:class => 'form-control'})  %>
				            <% end %>   
			        	</div>
			        </div>
		        
			        <div class="row form-group col-lg-13 ">
			        	<% i = 0%>
			        	<% @album.images.each do |images|%>
				        	<div class="col-lg-4 col-sm-6 edit-album album-old " id="old-image<%=i%>">
				        		<%= link_to '<i class="fa fa-window-close fa-2x close-icon " aria-hidden="true" id = "close-icon-old"></i>'.html_safe, delete_images_old_path(album_id: @album.id, image_id: images.id), method: :delete, remote: true%>
					            <%= image_tag(images, class: "photo medium", id: i) %>
				        	</div>
				        	<% i = i +1%>
			        	<% end%>
			        	<div class="gallery-album col-lg-13 col-sm-12 " id= "gallery-album"> 
			        		<div class="col-lg-4 col-sm-6 edit-album album-old " id="">
			        			<%= link_to url: delete_images_path do %>
				        			<i class="fa fa-window-close fa-2x close-icon" aria-hidden="true" id = "close-icon" onclick="closeImage(<%=i%>)"></i>
				        		<%end%>
					            <img class="photo medium photo-in">
				        	</div>
							<!-- Photo show here  -->
						</div>

						<label for="gallery-photo-add-album" class="label-upload edit-album " id = "photo-up"  >
			              	<i class="fa fa-plus" style="font-size:70px; color: #BDBDBD;" id = "plus-icon"></i>
			            </label>
			            <%= f.file_field :images, multiple: true, id: "gallery-photo-add-album", class: "form-group hidden"%>
			        </div>
			        <div class="row col-lg-12">
			        	<%= f.submit 'Save', class: 'btn btn-success btn-lg search ' %>
			        	<button class="btn btn-lg btn-danger col-lg-offset-2 ">
			        		<i class="fa fa-trash" aria-hidden="true"></i>
			        		<%= link_to "Delete", album_path(id: @album.id), method: :DELETE, class: "white-btn"%>
			        	</button>
			        </div>
		      	</div>
		    <% end %>
		</div>
	</div>
</div>






